/***************************************************************************
 *   Copyright (C) 2007 by Andreas Theofilu                                *
 *   andreas@TheoSys.at                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation version 3 of the License.                *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef ZIAENDWIDGET_H
#define ZIAENDWIDGET_H

#include "zinssatzaenderung.h"

class ziaendWidget : public ziaendWidgetBase
{
		Q_OBJECT

	public:
		ziaendWidget ( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
		~ziaendWidget();
		/*$PUBLIC_FUNCTIONS$*/

	public slots:
		/*$PUBLIC_SLOTS$*/
		virtual void          tbSelectSlot(QListViewItem *item);
		virtual void          pbSaveSlot();
		virtual void          pbRemoveSlot();
		virtual void          pbInsertSlot();
		virtual void          pbCancelSlot();
		virtual void          cbRateSlot();
		virtual void	      cbKalkRateSlot();
		virtual void          numRateSlot();
		virtual void          numZinssatzSlot();
		virtual void          dtDatumSlot();

	protected:
		/*$PROTECTED_FUNCTIONS$*/

	protected slots:
		/*$PROTECTED_SLOTS$*/

};

#endif

